.app__header {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    background-color: $color-background;
    box-shadow: 0 2px 3px 0 $color-shadow;
    padding: 0 1.2rem 0 0;
    z-index: 999;

    @include respond-to(sm) {
        padding: 0 0 0 1.2rem;
    }


    @include respond-to(md) {
        padding: 0 2.4rem;
    }


    .navigation-container {
        position: fixed;
        left: 0;
        z-index: 999999;

        @include respond-to(sm) {
            position: relative;
            display: flex;
            flex-flow: row nowrap;
            flex-grow: 1;
            justify-content: flex-end;
        }
    }

    .logo {
        display: flex;
        min-height: 4.2rem;
        align-items: center;
        margin-left: auto;

        @include respond-to(sm) {
            margin-left: 0;
            padding-right: 0.5rem;
        }


        @include respond-to(md) {
            height: 6rem;
        }


        svg {
            height: 1.8rem;
        }
    }

    .right-side-label {
        display: flex;
        align-items: center;
        color: $color-text;
        padding: 0 0 0 2rem;
        border-bottom: 5px solid $color-background;
        height: 6rem;
        font-family: $font-primary-medium;

        & span {
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
            max-width: 25rem;
        }
    }
}

.app--fixed-header .app__header {
    @include respond-to(sm) {
        position: fixed;
        top: 0;
        right: 0;
        left: 0;
    }
}
